Subject: Re: bug#11221: Shift-select-mode has no effect

From: Brian Tannahill <[email-masked]>
Date: Wed, 11 Apr 2012 15:18:33 -0500

When I run emacs -Q and then do my custom keybindings, the problem does NOT
occur.

So apparently something in my init file is messing things up.  I'll work on
isolating it.

Thanks.

On Wed, Apr 11, 2012 at 1:03 PM, Glenn Morris <[email-masked]> wrote:

> Brian Tannahill wrote:
>
> > (global-set-key (kbd "M-J")   'backward-word)
> [...]
> > Running describe-key (C-h k) shows that the bindings were
> > successful. And these bindings move point as they should, but for some
> > reason it sets the mark at my original position, and gives me a
> > highlighted region as I move the point.
>
> I'm unable to reproduce this; even with shift-select-mode on. Note that
> this-command-keys-shift-translated says:
>
>   Shift-translation occurs when there is no binding for the key sequence
>   as entered [...]
>
> Does this happen if you start from emacs -Q?
>